Bug 1000296 - [abrt] psi-0.15-2.fc19: ContactListGroup::parent: Process /usr/bin/psi was killed by signal 11 (SIGSEGV)
[abrt] psi-0.15-2.fc19: ContactListGroup::parent: Process /usr/bin/psi was ki...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: psi (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Sven Lankes
Fedora Extras Quality Assurance
abrt_hash:98e039a720684e76b5dd2f96aaf...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 02:43 EDT by Rafał‚ Dutko
Modified: 2015-02-17 11:53 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:53:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.01 KB, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: core_backtrace (28.60 KB, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: dso_list (11.89 KB, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: environ (1.78 KB, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: maps (60.30 KB, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: open_fds (1.49 KB, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: proc_pid_status (936 bytes, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details
File: var_log_messages (1.66 KB, text/plain)
2013-08-23 02:43 EDT, Rafał‚ Dutko
no flags Details

  None (edit)
Description Rafał‚ Dutko 2013-08-23 02:43:23 EDT
Description of problem:
Just start crashing suddenely, after last glibc update, maybe related.

Version-Release number of selected component:
psi-0.15-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/psi
crash_function: ContactListGroup::parent
executable:     /usr/bin/psi
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1977

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ContactListGroup::parent at contactlistgroup.cpp:315
 #1 ContactListGroup::toModelIndex at contactlistgroup.cpp:320
 #2 ContactListModel::parent at contactlistmodel.cpp:669
 #3 parent at ../../src/corelib/kernel/qabstractitemmodel.h:393
 #4 QSortFilterProxyModelPrivate::_q_sourceDataChanged at itemviews/qsortfilterproxymodel.cpp:1120
 #5 QMetaObject::activate at kernel/qobject.cpp:3547
 #6 QAbstractItemModel::dataChanged at .moc/release-shared/moc_qabstractitemmodel.cpp:163
 #7 PsiContactListModel::updateAnim at psicontactlistmodel.cpp:107
 #8 PsiContactListModel::qt_static_metacall at .moc/moc_psicontactlistmodel.cpp:51
 #9 QMetaObject::activate at kernel/qobject.cpp:3547
Comment 1 Rafał‚ Dutko 2013-08-23 02:43:27 EDT
Created attachment 789474 [details]
File: backtrace
Comment 2 Rafał‚ Dutko 2013-08-23 02:43:29 EDT
Created attachment 789475 [details]
File: cgroup
Comment 3 Rafał‚ Dutko 2013-08-23 02:43:33 EDT
Created attachment 789476 [details]
File: core_backtrace
Comment 4 Rafał‚ Dutko 2013-08-23 02:43:36 EDT
Created attachment 789477 [details]
File: dso_list
Comment 5 Rafał‚ Dutko 2013-08-23 02:43:39 EDT
Created attachment 789478 [details]
File: environ
Comment 6 Rafał‚ Dutko 2013-08-23 02:43:41 EDT
Created attachment 789479 [details]
File: exploitable
Comment 7 Rafał‚ Dutko 2013-08-23 02:43:44 EDT
Created attachment 789480 [details]
File: limits
Comment 8 Rafał‚ Dutko 2013-08-23 02:43:47 EDT
Created attachment 789481 [details]
File: maps
Comment 9 Rafał‚ Dutko 2013-08-23 02:43:50 EDT
Created attachment 789482 [details]
File: open_fds
Comment 10 Rafał‚ Dutko 2013-08-23 02:43:53 EDT
Created attachment 789483 [details]
File: proc_pid_status
Comment 11 Rafał‚ Dutko 2013-08-23 02:43:56 EDT
Created attachment 789484 [details]
File: var_log_messages
Comment 12 Fedora End Of Life 2015-01-09 14:33:53 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 13 Fedora End Of Life 2015-02-17 11:53:16 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.